;Sample POOL code, you may use it, modify it
;and distribute it under the GPL license.
;Authors: R&D Independent Team
;Source: www.pool-rnd.com

include "log.l
include "lissajous.l
include "butterfly.l

;Constructors of derived objects:
;      *** here you can change the curve. ***
;Note: the curve color (constructor's argument) can be
;a color name, palette index, or array {R G B A}.
;"k := (newt $logspiral "black)
;"k := (newt $lissajous 50)
"k := (newt $butterfly {80 0 30 40})

;handling function for slider changes:
; - breaks the curve drawing (stop := true)
; - setup new value for the parameter
; - restart curve painting
to change :sender :new
  "stop := true
  (setup gettext :sender :new) @ :k
  draw @ :k
end

foreach "p :param @ :k [
  let "s (slider :p,1             ~
  array 10 10 + 60 * (repcount-1) ~
  bf :p,2 :p,2,1)
  setonchange :s $change
]

;initial drawing:
draw @ :k

